Get Source Private Url
curl --request GET \
--url https://api.sandbox.isometric.com/mrv/v0/sources/{id}/private_url \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/sources/{id}/private_url"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/mrv/v0/sources/{id}/private_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Sources
Get Source Private Url
Returns a short-lived signed URL to download a source document from. This query will fail if
the source does not have a private URL or if the authenticated user does not have
access to it. That’s why you need to first check the urlInfo field on the source
object, to ensure that you can safely use this query.
GET
/
sources
/
{id}
/
private_url
Get Source Private Url
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
Example:
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
Required string length:
20 - 37Examples:
"src_1EBBF4M7X1S06G1Y"
"src_1DW1B17VNSBX37N0"
Response
Successful Response
The response is of type string.
Was this page helpful?
⌘I